/*
   These routines may be adapted for any purpose when
   used with the MPC Code Development system.  No
   warranty is implied or given as to their usability
   for any purpose.

        (c) Copyright 1995

        Byte Craft Limited
        Waterloo, Ontario
        Canada N2J 4E4
        (519) 888-6911

        Sherif Abdel-Kader
*/

// This program shows ways to access the OPTION
// register in the PIC16C5X.
//

#include <16c54.h>

void main() {

// Through passing a variable to
// the __OPTION macro
int x=0xA3;
__OPTION(x);

// By passing a literal to the
// __OPTION macro
__OPTION(0xA3);

// By manually loading the W register and
// calling the OPTION macro
WREG = 0xA3;
OPTION();

}

